### 5.1.75 lead

`Syntax:`
  `lead (` poly_expression `)`
  `lead (` vector_expression `)`
  `lead (` ideal_expression `)`
  `lead (` module_expression `)`
`Type:`
  the same as the input type
`Purpose:`
  returns the leading (or initial) term(s) of a polynomial, a vector, resp. of the generators of an ideal or module with respect to the monomial ordering.
`Note:`
  `IN` may be used instead of `lead`.
`Example:`

        ring r=32003,(x,y,z),(c,ds);
        poly f=2x2+3y+4z3;
        vector v=[2x10,f];
        ideal i=f,z;
        module m=v,[0,0,2+x];
        lead(f);
      ==> 3y
        lead(v);
      ==> [2x10]
        lead(i);
      ==> _[1]=3y
      ==> _[2]=z
        lead(m);
      ==> _[1]=[2x10]
      ==> _[2]=[0,0,2]
        lead(0);
      ==> 0

See ideal; leadcoef; leadexp; leadmonom; module; poly; vector.

User manual for Singular version 4.4.1, 2025, generated by texi2html.